PatternCacheRandom (Jakarta-ORO 2.0.8 API)
Keywords: org.apache.oro.text.PatternCacheRandom class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.oro.text
Class PatternCacheRandom

    java.lang.Object
      org.apache.oro.text.GenericPatternCache
          org.apache.oro.text.PatternCacheRandom

All Implemented Interfaces:
  PatternCache

public final class PatternCacheRandom
extends GenericPatternCache

This class is a GenericPatternCache subclass implementing a random cache replacement policy. In other words, patterns are added to the cache until it becomes full. Once the cache is full, when a new pattern is added to the cache, it replaces a randomly selected pattern in the cache.

Since:
  1.0
Version:
  2.0.8
See Also:
  `GenericPatternCache`

Field Summary

Fields inherited from class org.apache.oro.text.GenericPatternCache
`DEFAULT_CAPACITY`

Constructor Summary
`PatternCacheRandom()` Same as:
`PatternCacheRandom(int capacity)` Same as:
`PatternCacheRandom(int capacity, PatternCompiler compiler)` Creates a PatternCacheRandom instance with a given cache capacity and initialized to use a given PatternCompiler instance as a pattern compiler.
`PatternCacheRandom(PatternCompiler compiler)` Same as:

Methods inherited from class org.apache.oro.text.GenericPatternCache
`addPattern, addPattern, capacity, getPattern, getPattern, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternCacheRandom

    public PatternCacheRandom(int capacity,
                              PatternCompiler compiler)

  Creates a PatternCacheRandom instance with a given cache capacity and initialized to use a given PatternCompiler instance as a pattern compiler.

Parameters:
  `capacity` - The capacity of the cache.
  `compiler` - The PatternCompiler to use to compile patterns.

### PatternCacheRandom

    public PatternCacheRandom(PatternCompiler compiler)

  Same as:

  >      PatternCacheRandom(GenericPatternCache.DEFAULT_CAPACITY, compiler);

### PatternCacheRandom

    public PatternCacheRandom(int capacity)

  Same as:

  >      PatternCacheRandom(capacity, new Perl5Compiler());

### PatternCacheRandom

    public PatternCacheRandom()

  Same as:

  >      PatternCacheRandom(GenericPatternCache.DEFAULT_CAPACITY);

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.